import { Component, Input } from '@angular/core';
var ProgressComponent = (function () {
    function ProgressComponent() {
    }
    ProgressComponent.prototype.getPercent = function () {
        if (this.percent < 0) {
            return '0%';
        }
        else if (this.percent > 100) {
            return "100%";
        }
        else {
            return this.percent + '%';
        }
    };
    ProgressComponent.decorators = [
        { type: Component, args: [{
                    selector: "lsu-progress",
                    template: "\n    <div class=\"ui {{ color }} {{ size }} progress\">\n      <div class=\"bar\" style=\"transition-duration: 300ms;\" [style.width]=\"getPercent()\">\n        <div class=\"progress\">{{ text || getPercent() }}</div>\n      </div>\n      <div class=\"label\" *ngIf=\"label\">{{ label }}</div>\n    </div>\n  "
                },] },
    ];
    /** @nocollapse */
    ProgressComponent.ctorParameters = function () { return []; };
    ProgressComponent.propDecorators = {
        "text": [{ type: Input },],
        "label": [{ type: Input },],
        "percent": [{ type: Input },],
        "color": [{ type: Input },],
        "size": [{ type: Input },],
    };
    return ProgressComponent;
}());
export { ProgressComponent };
//# sourceMappingURL=progress.component.js.map