import { Component, Input } from '@angular/core';
var TabComponent = (function () {
    function TabComponent() {
        this.headerText = "";
        this.active = false;
        this.useSegment = false;
    }
    TabComponent.prototype.getCls = function () {
        return {
            active: this.active,
            segment: this.useSegment,
            bottom: this.type === 'tabular',
            attached: this.type === 'tabular'
        };
    };
    TabComponent.decorators = [
        { type: Component, args: [{
                    selector: "lsu-tab",
                    styles: [
                        ".ui.bottom.attached.tab.segment.active {\n      border-top: none;\n    }\n    .ui.tab {\n      margin: 0;\n      width: 100%;\n    }"
                    ],
                    template: "\n    <div class=\"ui tab\" [ngClass]=\"getCls()\">\n      <ng-content></ng-content>\n    </div>\n  "
                },] },
    ];
    /** @nocollapse */
    TabComponent.ctorParameters = function () { return []; };
    TabComponent.propDecorators = {
        "headerText": [{ type: Input },],
        "active": [{ type: Input },],
        "useSegment": [{ type: Input },],
    };
    return TabComponent;
}());
export { TabComponent };
//# sourceMappingURL=tab.component.js.map